> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace An Item Filter

> Replaces the filters of an Item filter with a new set of filters.




## OpenAPI

````yaml put /v2/item-filters/{id}
openapi: 3.0.0
info:
  title: Item Filters API
  version: '2.0'
  description: >
    Create custom filters that can be used as a search parameter when listing
    Items.
servers: []
security:
  - basicAuth: []
paths:
  /v2/item-filters/{id}:
    put:
      summary: Replace an Item filter
      description: Replaces the filters of an Item filter with a new set of filters.
      parameters:
        - name: id
          in: path
          description: ID of the Item filter whose filters are to be replaced.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            example:
              name: Key paystub fields supported
              filters:
                status:
                  eq: healthy
                field_coverage:
                  paystubs:
                    gross_pay:
                      supported:
                        eq: true
                    paystub_date:
                      supported:
                        eq: true
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: >
                    Name for the revised Item filter.


                    The ID of the Item filter does not change after the
                    replacement filters are substituted.
                filters:
                  type: object
                  description: The replacement set of filters.
              required:
                - name
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the item filter.
                    example: 087394d4-83b5-4722-8c5e-0235362c12f5
                  name:
                    type: string
                    description: The name of the item filter.
                    example: Key paystub fields supported
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````